%{?nodejs_find_provides_and_requires}

%global packagename is-callable
%global enable_tests 0
# tests disabled to bootstrap new npm(tape)

Name:		nodejs-is-callable
Version:	1.1.0
Release:	1%{?dist}
Summary:	Is this JS value callable? Works with Functions and GeneratorFunctions, despite ES6 @@toStringTag.

License:	MIT
URL:		https://github.com/ljharb/is-callable.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
Is this JS value callable? Works with Functions and GeneratorFunctions, despite ES6 @@toStringTag.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs --es-staging test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org>
- 
